package com.gonghang.h5clientapp.beans.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 机器人自检告警信息
 * Created by shiwn on 2021/5/20 11:48
 */
@Data
@Accessors(chain = true)
@TableName("robot_warning")
public class RobotWarningDTO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private Date createTime;
    private String robotIp;
    private Integer type;
    private Date warningTime;
    private String warningCode;
    private String warningMsg;
    private String codePartOne;
    private String codePartTwo;
    private String faultCode;
}
