package com.gonghang.h5clientapp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gonghang.h5clientapp.beans.dto.RobotMapDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

/**
 * Created by shiwn on 2022/8/3 15:49
 */
@Component
public interface RobotMapMapper extends BaseMapper<RobotMapDTO> {

    @Select("SELECT * FROM robot_map WHERE robot_id=#{robotId} ORDER BY id DESC LIMIT 1")
    RobotMapDTO selectMapByRobotId(@Param("robotId") int robotId);
}
