package com.gonghang.h5clientapp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gonghang.h5clientapp.beans.dto.RobotSettingDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

/**
 * Created by shiwn on 2022/8/3 15:57
 */
@Component
public interface RobotSettingMapper extends BaseMapper<RobotSettingDTO> {
    /**
     * @Description: 查询 by 机器人id
     * @Date: 2021/6/17 14:48
     * @Author: shiwn
     * @Param: [robotIp]
     * @Return:
     */
    @Select("select * from robot_setting where robot_id =#{robotId}")
    RobotSettingDTO selectByRobotId(@Param("robotId") Integer robotId);
}
