package com.gonghang.h5clientapp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gonghang.h5clientapp.beans.dto.TaskReportDTO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;

/**
 * Created by shiwn on 2022/8/4 10:24
 */
@Component
public interface TaskReportMapper extends BaseMapper<TaskReportDTO> {
    /**
     * @Description: 上海工行 掌上运维——查询报告列表
     * @Author: shiwn
     * @Param: [robotId]
     * @Return:
     */
    List<Map> selectReportList(@Param("robotId") Integer robotId);
}
