package com.gonghang.h5clientapp.beans.dto;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

/**
 * 环境数据
 * Created by shiwn on 2021/6/18 10:39
 */
@Data
@Accessors(chain = true)
@TableName("env_data")
public class EnvDataDTO {
    /**
     * 主键，13位时间戳
     */
    private Long id;
    /**
     * 湿度
     */
    private Float humidity;
    /**
     * 温度
     */
    private Float temperature;
    /**
     * 风速
     */
    private Float windSpeed;
    /**
     * 风力
     */
    private Integer windPower;
    /**
     * 风向
     */
    private String windDirection;
    /**
     * 雨强
     */
    private Float raininess;
    /**
     * 气压
     */
    private Integer airPressure;
    /**
     * pm2.5浓度
     */
    private Float pm;
    /**
     * 天气状况
     */
    private Integer weather;
    private Float co;
    private Float co2;
    private Float o3;
    private Float o2;
    private Float sf6;
    /**
     * 明火
     */
    private Float fire;
    /**
     * 烟雾
     */
    private Float mq;
    /**
     * 光强
     */
    private Float light;
    private Integer robotId;
}
