package com.gonghang.h5clientapp.beans.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.Date;

/**
 * 任务报告
 * Created by shiwn on 2021/6/3 15:02
 */
@Data
@Accessors(chain = true)
@TableName("task_report")
public class TaskReportDTO {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    private Date createTime;
    private Integer taskId;
    private Integer runTimes;
    private String reportName;
    private String filePath;
    /**
     * 生成状态，1-已生成，0-未生成
     */
    private Integer status;

}
