package com.gonghang.h5clientapp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gonghang.h5clientapp.beans.dto.CheckPointDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

/**
 * Created by shiwn on 2022/8/3 15:39
 */
@Component
public interface CheckPointMapper extends BaseMapper<CheckPointDTO> {
    /**
     * @Description: 查询 by 巡检点id
     * @Date: 2021/6/10 14:18
     * @Author: shiwn
     * @Param: [pointId]
     * @Return:
     */
    @Select("select * from check_point where id = #{pointId}")
    CheckPointDTO selectByPointId(@Param("pointId") Long pointId);
}
