package com.gonghang.h5clientapp.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.gonghang.h5clientapp.beans.dto.TaskDataDTO;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Component;

/**
 * Created by shiwn on 2022/8/3 15:31
 */
@Component
public interface TaskDataMapper extends BaseMapper<TaskDataDTO> {
    /**
     * @Description: 查询最新周期数据 by 任务id
     * @Date: 2021/6/3 16:54
     * @Author: shiwn
     * @Param: [taskId]
     * @Return:
     */
    @Select("select * from task_data where task_id = #{taskId} and run_times = (select max(run_times) from task_data where task_id = #{taskId})")
    TaskDataDTO selectCurrentTask(@Param("taskId") Integer taskId);
}
